Module org.hdfgroup.hdfview
Package hdf.view.dialog

# Class DataOptionDialog

Object
org.eclipse.swt.widgets.Dialog
hdf.view.dialog.DataOptionDialog

public class DataOptionDialog extends org.eclipse.swt.widgets.Dialog
DataOptionDialog is an dialog window used to select display options. Display options include selection of subset, display type (image, text, or spreadsheet).

Version:
  2.4 3/26/2016
Author:
  Jordan T. Henderson

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataOptionDialog(org.eclipse.swt.widgets.Shell parent, DataFormat dataObject)`
  Constructs a DataOptionDialog with the given HDFView.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BitSet`
  `getBitmask()`
  `String`
  `getDataViewName()`
  `boolean`
  `isApplyBitmaskOnly()`
  `boolean`
  `isCancelled()`
  `boolean`
  `isDisplayTypeChar()`
  `boolean`
  `isImageDisplay()`
  `boolean`
  `isIndexBase1()`
  `boolean`
  `isTransposed()`
  `void`
  `open()`
  Open the DataOptionDialoDialog used to select display options for an object.

  ### Methods inherited from class org.eclipse.swt.widgets.Dialog

  `checkSubclass, getParent, getStyle, getText, setText`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataOptionDialog

    public DataOptionDialog(org.eclipse.swt.widgets.Shell parent, DataFormat dataObject)
    Constructs a DataOptionDialog with the given HDFView.
    Parameters:
      `parent` - the parent of this dialog
      `dataObject` - the data object associated with this dialog

- ## Method Details

  - ### open

    public void open()
    Open the DataOptionDialoDialog used to select display options for an object.

  - ### isImageDisplay

    public boolean isImageDisplay()
    Returns:
      true if the display option is image.

  - ### isIndexBase1

    public boolean isIndexBase1()
    Returns:
      true if the index starts with 0.

  - ### getBitmask

    public BitSet getBitmask()
    Returns:
      the bitmask.

  - ### getDataViewName

    public String getDataViewName()
    Returns:
      the name of the selected dataview

  - ### isDisplayTypeChar

    public boolean isDisplayTypeChar()
    Returns:
      true if display the data as characters; otherwise, display as numbers.

  - ### isApplyBitmaskOnly

    public boolean isApplyBitmaskOnly()
    Returns:
      if it only apply bitmask.

  - ### isTransposed

    public boolean isTransposed()
    Returns:
      true if transpose the data in 2D table; otherwise, do not transpose the data.

  - ### isCancelled

    public boolean isCancelled()
    Returns:
      true if the data selection is cancelled.